Skip to main content
GET
/
nfts
/
tokens
TypeScript
const response: Promise<FireblocksResponse<GetNFTsResponse>> = fireblocks.nFTs.getNFTs(nFTsApiGetNFTsRequest);
{
  "paging": {
    "next": "<string>"
  },
  "data": [
    {
      "id": "<string>",
      "tokenId": "<string>",
      "standard": "<string>",
      "blockchainDescriptor": "ETH",
      "metadataURI": "<string>",
      "cachedMetadataURI": "<string>",
      "media": [
        {
          "url": "<string>",
          "contentType": "IMAGE"
        }
      ],
      "spam": {
        "result": true
      },
      "collection": {
        "id": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      },
      "description": "<string>",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

ids
string
required

A comma separated list of NFT IDs. Up to 100 are allowed in a single request.

pageCursor
string

Page cursor to fetch

pageSize
number

Items per page (max 100)

Required range: 1 <= x <= 100
sort
enum<string>[]

Sort by param, it can be one param or a list of params separated by comma

Available options:
collection.name,
name,
blockchainDescriptor
order
enum<string>
default:ASC

Order direction, it can be ASC for ascending or DESC for descending

Available options:
DESC,
ASC

Response

200 - application/json
paging
object
data
object[]